Unable to close Printer properties

Bug #1712011 reported by Charlie on 2017-08-21
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
GTK+
Fix Released
High
gtk+3.0 (Ubuntu)
Low
Unassigned
ubuntu-themes (Ubuntu)
Low
Unassigned

Bug Description

From settings I open Printers and click on settings (gear icon) for my printer which bring up a pop-up with printer details (name , location, address, etc). There is no way to close this pop-up. Instead of a top toolbar there is thin dark line. The pop-up cannot be moved.

Occurs using 17.10 default and Wayland.

Screenshot added

Workaround
----------
Press the Esc key to close the dialog.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: xorg 1:7.7+19ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
Uname: Linux 4.12.0-11-generic i686
ApportVersion: 2.20.6-0ubuntu6
Architecture: i386
BootLog: /dev/sda1: clean, 261728/30531584 files, 8847848/122096128 blocks
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Mon Aug 21 08:55:08 2017
DistUpgraded: Fresh install
DistroCodename: artful
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Turks XT [Radeon HD 6670/7670] [1002:6758] (prog-if 00 [VGA controller])
   Subsystem: Dell Radeon HD 6670 [1028:0b0e]
InstallationDate: Installed on 2017-07-14 (37 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha i386 (20170606.1)
MachineType: Dell Inc. OptiPlex 9010
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.12.0-11-generic root=UUID=5a1aae5a-efbf-41a8-bfb3-c460b0bda660 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/19/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0M9KCM
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd09/19/2012:svnDellInc.:pnOptiPlex9010:pvr01:rvnDellInc.:rn0M9KCM:rvrA00:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 9010
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.82-1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.1.4-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.1.4-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.19.3-1ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.9.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20170309-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2
xserver.bootTime: Mon Aug 21 08:45:01 2017
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input Sennheiser Sennheiser USB Headset KEYBOARD, id 8
 input DELL Dell USB Entry Keyboard KEYBOARD, id 9
 input USB OPTICAL MOUSE MOUSE, id 10
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.19.3-1ubuntu3
xserver.video_driver: radeon

Related branches

Charlie (charlie1945) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, that's a known issue that has been submitted upstream on https://bugzilla.gnome.org/show_bug.cgi?id=784562

affects: xorg (Ubuntu) → gnome-control-center (Ubuntu)
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Charlie (charlie1945) wrote :

Sorry, missed bug #784562.

Changed in gnome-control-center:
importance: Unknown → High
status: Unknown → Confirmed
Jeremy Bicha (jbicha) on 2017-09-21
description: updated
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Triaged → In Progress
affects: gnome-control-center (Ubuntu) → ubuntu-themes (Ubuntu)
Changed in ubuntu-themes (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+17.10.20170925-0ubuntu1

---------------
ubuntu-themes (16.10+17.10.20170925-0ubuntu1) artful; urgency=medium

  [ Carlo Lobrano ]
  * Fix misaligned Entry widget borders (LP: #1712996)

  [ Marco Trevisan (Treviño) ]
  * Ambiance,Radiance: fix vertical linked buttons borders, corners and
    backgrounds (LP: #1718234)
  * Ambiance, Radiance: be less restrictive in setting headerbar minimum
    height (LP: #1712011)
  * Ambiance,Radiance: refactor .titlebar theming to properly support
    headerbar children (LP: #1716143)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 25 Sep 2017 15:58:56 +0000

Changed in ubuntu-themes (Ubuntu):
status: In Progress → Fix Released
Jeremy Bicha (jbicha) on 2017-10-04
affects: gnome-control-center → gtk
Changed in gtk+3.0 (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Changed in gtk:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.22.24-0ubuntu1

---------------
gtk+3.0 (3.22.24-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1712011, #1719047)
  * Cherry-pick fixes committed after the 3.22.24 release:
    - 0001-Adwaita-Fix-typo-.backgrounf-.background.patch
    - 0002-theme-Fix-Adwaita-headerbars.patch
    - 0003-display-x11-Unset-tiled-state-if-_GTK_EDGE_CONSTRAIN.patch

 -- Jeremy Bicha <email address hidden> Wed, 04 Oct 2017 19:37:55 -0400

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.